Get Webhook
curl --request GET \
--url https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"channel": "campaign:create",
"secret": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks API
Get Webhook
Returns the webhook.
GET
/
public
/
v1
/
webhooks
/
webhooks
/
{webhook_id}
Get Webhook
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
Id of the webhook.
Response
Successful Response
Id of the webhook.
The marketplace ID.
The URL to send the webhook event to.
Required string length:
1 - 2083The channel that triggers this webhook.
Available options:
campaign:create, campaign:update, campaign:delete, catalog:feed:download:finish, store:availability:download:finish, catalog:feed:upload:late, full:availability:upload:late, delta:availability:upload:late Webhook secret to be used in signature generation.
When set, the webhook is disabled and will not receive events.
Was this page helpful?